Bug 406931 - Fedora-8 sendto(INADDR_BROADCAST) won't udp broadcast, with test code.
Fedora-8 sendto(INADDR_BROADCAST) won't udp broadcast, with test code.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 15:30 EST by ed leaver
Modified: 2013-01-22 20:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped tarfile of BroadcastBug directory, with C source, Makefile, and README (6.79 KB, application/x-gzip)
2007-11-30 15:30 EST, ed leaver
no flags Details

  None (edit)
Description ed leaver 2007-11-30 15:30:51 EST
Description of problem:
Unable to broadcast short udp datagrams on Fedora 8 using INADDR_BROADCAST or
any other netmask.

Version-Release number of selected component (if applicable):


How reproducible:
Compile and execute included test Client and Server on Fedora-8, compare
with behavior on RHEL-5.


Steps to Reproduce:
1. extract BroadcastBug.tgz, select a NETMASK in ClientServer.hh, make
2. Execute Client (which loops for 2 minutes), then Server (yeah, it looks
backwards). Client should respond if it receives broadcast message.
3. Try RHEL 4 or 5 first to see expected result, then repeat on Fedora-8. 
  
Actual results:
RHEL 4 and 5 (cleverly disguised as CentOS) work as expected, multiple Clients
recieve messages broadcast from Server. I am unable to make Fedora-8 broadcast
at all; no broadcast messages are received. (I'm surprised to see this, but if
there's a configuration problem on my Fedora-8 box I haven't found it.) 


Expected results:
I think udp datagram broadcasts should behave the same on all platforms.

Additional info:
Comment 1 ed leaver 2007-11-30 15:30:51 EST
Created attachment 274291 [details]
gzipped tarfile of BroadcastBug directory, with C source, Makefile, and README
Comment 2 Jakub Jelinek 2007-12-06 08:11:42 EST
sendto etc. are just simple wrappers around kernel syscalls, so this has nothing
to do with glibc.
Comment 3 Chuck Ebbert 2007-12-06 17:50:52 EST
Did you test:

 RHEL client and F8 server
 RHEL server and F8 client

Also, run wireshark/tcpdump on both client and server and look at what gets sent
and received.
Comment 4 ed leaver 2007-12-08 10:06:40 EST
Sorry, can't help with that at present. I've but one machine at home, and one at
the office, where I've unable to install Fedora-8 as a Xen guest. I'll let you
know when I can do more. Thanks!

In reply to comment #3)
> Did you test:
> 
>  RHEL client and F8 server
>  RHEL server and F8 client
> 
> Also, run wireshark/tcpdump on both client and server and look at what gets sent
> and received.

Comment 5 Bug Zapper 2008-11-26 03:46:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:23:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.